Localized name and description of a motive for a specific language.
| Name | Type | Description | |
|---|---|---|---|
id
|
number
|
Unique numeric identifier for the motive localization. | |
name
|
string
|
The localized name of the motive. | |
language
|
Language | The language information data. |
/accounts/{accountId}/shops/{shopId}/motives/{motiveId}/localizations
request body
POST
/accounts/{accountId}/shops/{shopId}/motives/{motiveId}/localizations
response
GET
/accounts/{accountId}/shops/{shopId}/motives/{motiveId}/localizations/{localizationId}
response
PUT
/accounts/{accountId}/shops/{shopId}/motives/{motiveId}/localizations/{localizationId}
request body
PUT
/accounts/{accountId}/shops/{shopId}/motives/{motiveId}/localizations/{localizationId}
response
{
"motiveLocalized" : {
"id" : 12345,
"name" : "funny thing",
"language" : {
"id" : 12345,
"code" : "en",
"name" : "English"
}
}
}
Localized name and description of a motive for a specific language.
| Name | Type | Description | |
|---|---|---|---|
id
|
int
|
Unique numeric identifier for the motive localization. | |
language
|
Language | The language information data. | |
name
|
string
|
The localized name of the motive. |
/accounts/{accountId}/shops/{shopId}/motives/{motiveId}/localizations
request body
POST
/accounts/{accountId}/shops/{shopId}/motives/{motiveId}/localizations
response
GET
/accounts/{accountId}/shops/{shopId}/motives/{motiveId}/localizations/{localizationId}
response
PUT
/accounts/{accountId}/shops/{shopId}/motives/{motiveId}/localizations/{localizationId}
request body
PUT
/accounts/{accountId}/shops/{shopId}/motives/{motiveId}/localizations/{localizationId}
response
<motiveLocalized>
<id>...</id>
<name>funny thing</name>
<language>
<id>...</id>
<code>en</code>
<name>English</name>
</language>
</motiveLocalized>